## org.eclipse.emf.ocl.helper
Class Choice

    java.lang.Object
      org.eclipse.emf.ocl.helper.Choice

Deprecated. Use the `Choice` interface with the `OCLHelper`, instead.

    @Deprecated
    public class Choice

extends Object

Representation of a particular OCL expression syntax completion suggestion. These suggestions are obtained from an `IOCLHelper` for a particular fragment of an OCL expression.

Note that this class is not intended to be extended nor instantiated by clients.

See Also:
  `IOCLHelper.getSyntaxHelp(String)`

Method Summary
`boolean` `equals(Object obj)` Deprecated.
`String` `getDescription()` Deprecated. Obtains my description, suitable for display in a UI tool tip or pop-up help window.
`ChoiceType` `getKind()` Deprecated. Queries the kind of syntax completion suggestion that I am.
`String` `getName()` Deprecated. Obtains my name, suitable for display in a UI list.
`int` `hashCode()` Deprecated.
`String` `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public String getName()

  Deprecated.
  Obtains my name, suitable for display in a UI list.

  Returns:
    my name

### getDescription

    public String getDescription()

  Deprecated.
  Obtains my description, suitable for display in a UI tool tip or pop-up help window.

  Returns:
    my description

### getKind

    public ChoiceType getKind()

  Deprecated.
  Queries the kind of syntax completion suggestion that I am.

  Returns:
    my type

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Deprecated.
  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.